[jira] [Created] (PIVOT-996) Unable to run with SAP JVM

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[jira] [Created] (PIVOT-996) Unable to run with SAP JVM

JIRA jira@apache.org
Sandro Martini created PIVOT-996:
------------------------------------

             Summary: Unable to run with SAP JVM
                 Key: PIVOT-996
                 URL: https://issues.apache.org/jira/browse/PIVOT-996
             Project: Pivot
          Issue Type: Bug
    Affects Versions: 2.0.4
            Reporter: Sandro Martini
            Assignee: Sandro Martini
             Fix For: 2.1.0, 2.0.5


As reported in our Dev mailing list, the check on JVM version that we do doesn't work with JVM different than Oracle Java.
For example the SAP JVM with version "8.1.028 25.51-b14" generates the problem, which is blocking.
The discussion thread is visible for example [here](http://apache-pivot-developers.417237.n3.nabble.com/Issue-in-Version-decode-with-SAPJVM-td4027425.html).

We should check if log a warning and continue the execution, or parse anything after he major.minor.patch as a string ...




--
This message was sent by Atlassian JIRA
(v6.3.15#6346)
Loading...